%=========================================
% newpop.m - Generation of new population
%=========================================

clear HistPop1 ClusterHist Population NewP;
Population=zeros(1,n);
for i = 2 : NP
    Population(i,:) = zeros(1,n);
end
for i = 1 : NP,
    for j = 1 : n,
        Population(i,j) = CheckType(rand(1) * (PopList(j,2) - PopList(j,1)) + PopList(j,1),PopList(j,:));
    end
end
